Skip to content

Remove Device from Account

Removes a device from the current account. After removal, the account can no longer access or control the device through this API. The device itself is not deleted.

Endpoint

http
DELETE /wlte/v1/devices/{deviceId}

Authorization Requirements

ScopeRequiredDescription
device:manageYesRemove a device from the current account

Path Parameters

ParameterTypeRequiredDescription
deviceIdstringYesDevice ID to remove

curl example:

bash
curl --request DELETE '{baseUrl}/wlte/v1/devices/{deviceId}' \
  --header 'Authorization: Bearer {accessToken}' \
  --header 'Accept: application/json'

Success Response

json
{
  "code": "SUCCESS",
  "message": "OK.",
  "requestId": "7d2e2e30-36d7-4e31-9e89-c840f54185f8",
  "data": {
    "deviceId": "rek053537488"
  }
}

Common Errors

HTTP StatuscodeDescription
400INVALID_REQUESTEmpty or invalid deviceId
401AUTH_INVALIDAccess token is invalid or no longer valid
403AUTH_SCOPE_DENIEDThe API Client does not have device:manage
404DEVICE_NOT_FOUNDThe device does not exist, or the current account cannot access it
Docs buildVersion v1.5.9-20260827-140125-85
Copyright © 2026 WLTE